/{organizationId}/{mandateId}/sales/opportunitiesCreate sales opportunity
Creates an opportunity in the sales pipeline
Required permissions:
mandate.read
opportunity.insert
contact.read
user.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired Request Body required
Content-Type: application/json
namestringrequired minLength: 1
maxLength: 80
stagestringrequired Options:
newqualifiedoffernegotiationwonlostexpectedValueinteger | nullrequired minimum: 0
maximum: 9999999999
salesChanceintegerrequired minimum: 0
maximum: 100
expectedCloseAtstring | nullrequired ObjectId as string
notesstringrequired maxLength: 4000
lostReasonstring | nullrequired minLength: 1
maxLength: 400
responsibleUserIdstringrequired minLength: 16
contactIdstringrequired offerReceiptIdstring | nullrequired Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/sales/opportunities' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"stage": "new",
"expectedValue": 0,
"salesChance": 0,
"expectedCloseAt": "string",
"renewalOf": "000000000000000000000001",
"products": [
{
"product": "000000000000000000000001",
"quantity": 1
}
],
"notes": "string",
"lostReason": "string",
"responsibleUserId": "string",
"contactId": "string",
"offerReceiptId": "string"
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
Response
{
"_id": "000000000000000000000001"
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}